define var chVar as character format "x(70)".

/* Registry based test - working with DEFAILT keys */
message "Press a key to prepare the registry to test".
pause.

/* Put initial data into registry*/
load "EvlEnv32" new.
use "EvlEnv32".

put-key-value section "Section1" key "CharKey1" value "CharVar1". 
put-key-value section "Section1" key "CharKey2" value "CharVar2". 
put-key-value section "Section1" key "CharKey3" value "CharVar3". 
put-key-value section "Section1" key "CharKey10" value "Good Value 1". 
put-key-value section "Section1" key "CharKey20" value "Good Value 2". 
put-key-value section "Section1" key "CharKey30" value "Good Value 3".

unload "EvlEnv32".

message "Press a key to start the registry test".
pause.

load "EvlEnv32".
use "EvlEnv32".

message "Setting the DEFAULT key value in Section1".
pause.

put-key-value section "Section1" key default value "New default value".

message "Setting the key value just under environment".
pause.

put-key-value section "" key "KeyNoSection" value "New NoSection value".


message "Getting the DEFAULT value for Section1".
pause.

get-key-value section "Section1" key default value chVar.

message "The DEFAULT value after modification: " chVar.
pause.

message "Getting the key value just under environment".
pause.

get-key-value section "" key "KeyNoSection" value chVar.

message "The key value without section: " chVar.
pause.

message "Removing the key value just under environment".
pause.

put-key-value section "" key "KeyNoSection" value "".

message "Removing the DEFAULT key value from Section1".
pause.

put-key-value section "Section1" key default value "".

message "Getting the DEFAULT value for Section1 after remove".
pause.

get-key-value section "Section1" key default value chVar.

message "The DEFAULT value after remove: " chVar.
pause.

message "Getting the key value just under environment after remove".
pause.

get-key-value section "" key "KeyNoSection" value chVar.

message "The key value without section after remove: " chVar.
pause.

unload "EvlEnv32".

message "Press a key to finish.".
pause.
